Last Comment Bug 746572 - Inline autocomplete release tracking
: Inline autocomplete release tracking
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Location Bar (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Marco Bonardo [::mak]
:
Mentors:
Depends on: 720081 740076 742776 747264
Blocks: 566489
  Show dependency treegraph
 
Reported: 2012-04-18 07:50 PDT by Marco Bonardo [::mak]
Modified: 2012-06-04 06:59 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
+
fixed


Attachments
disabling patch (733 bytes, patch)
2012-04-18 07:54 PDT, Marco Bonardo [::mak]
gavin.sharp: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Marco Bonardo [::mak] 2012-04-18 07:50:32 PDT
Using this bug to track enabling/disabling the feature and blockers.

The current situation is that both bug 720081 and bug 742776 look bad enough to require disabling the feature on Aurora 13 and likely 14 (even if we may able to backport fixes to 14 to keep it).
Comment 1 Marco Bonardo [::mak] 2012-04-18 07:54:20 PDT
Created attachment 616135 [details] [diff] [review]
disabling patch

[Approval Request Comment]
Regression caused by (bug #): no regression
User impact if declined: inline autocomplete doesn't yet reach our quality standards
Testing completed (on m-c, etc.): not needed
Risk to taking this patch (and alternatives if risky): none
String changes made by this patch: none
Comment 2 Marco Bonardo [::mak] 2012-04-18 07:55:46 PDT
not really just a review request, more an approval one :)

Btw, the plan is to land this on current aurora so it's disabled in 13, if one week before the next aurora to beta merge dependencies have not been ported to it will land it again there, and so on, till we have a beta quality feature.
Comment 3 Alex Keybl [:akeybl] 2012-04-20 16:11:17 PDT
(In reply to Marco Bonardo [:mak] from comment #2)
> not really just a review request, more an approval one :)
> 
> Btw, the plan is to land this on current aurora so it's disabled in 13, if
> one week before the next aurora to beta merge dependencies have not been
> ported to it will land it again there, and so on, till we have a beta
> quality feature.

Bug 742776 just landed on m-c. What are the chances we'll still be able to fix bug 720081 prior to FF13's release?
Comment 4 Marco Bonardo [::mak] 2012-04-21 02:58:31 PDT
(In reply to Alex Keybl [:akeybl] from comment #3)
> Bug 742776 just landed on m-c. What are the chances we'll still be able to
> fix bug 720081 prior to FF13's release?

What is attached there works, it's not so awesome though (but I didn't find simpler ideas that don't involve interface changes), I may discuss that with Gavin on Monday.  Notice that porting that change to FF13 requires some hack to the Places database schema version, cause Aurora 13 should get a schema version > Nightly 14 and then Nightly should get a double bump to go again over Aurora's version and keep things consistent. It's feasible but not exactly what I'd consider a fix to do 1 day before a merge.
So far my assumption is that we should disable the feature in 13 and fix bug 720081 in 14, giving it the usual Aurora timeframe.
Comment 5 Marco Bonardo [::mak] 2012-04-23 11:07:37 PDT
Feature disabled in Aurora 13.
https://hg.mozilla.org/releases/mozilla-aurora/rev/1a1eb113272e

The bug stays open to track the remaining blockers.
Comment 6 Marco Bonardo [::mak] 2012-06-01 12:29:33 PDT
After the landing of bug 720081 in Aurora, all bugs considered blockers for the feature are fixed.  This means, unless catastrophic events, Firefox 14 will be the first release shipping with the feature enabled by default.
Already known minor bugs blocking bug 566489 will be investigated and fixed, but won't have an effect on shipping the feature.
Comment 7 Marco Bonardo [::mak] 2012-06-04 06:59:51 PDT
relanded.

Note You need to log in before you can comment on or make changes to this bug.